Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
commands
Trigger an Agent command
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/commands \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "command": "RESTART"
}
'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/commands"

payload = { "command": "RESTART" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({command: 'RESTART'})
};

fetch('https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "https://api.matillion.com/problems/bad-request",
  "title": "Bad Request",
  "status": 400,
  "detail": "Failed to read request. Please check your request body.",
  "instance": "/v1/agents/{agentId}/commands"
}
{
"type": "https://api.matillion.com/problems/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "You do not have permission to access this resource.",
"instance": "/v1/agents/{agentId}/commands"
}
{
"type": "https://api.matillion.com/problems/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested agent does not exist.",
"instance": "/v1/agents/{agentId}/commands"
}
{
"type": "https://api.matillion.com/problems/internal-server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "Unexpected error occurred while processing the request.",
"instance": "/v1/agents/{agentId}/commands"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

agentId
string
required

Body

application/json
command
enum<string>
required

The command being sent

Available options:
RESTART,
PAUSE,
RESUME
Example:

"RESTART"

Response

Agent command received successfully